Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class CaptchaFieldDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinition
              org.apache.cocoon.forms.formmodel.FieldDefinition
                  org.apache.cocoon.forms.formmodel.CaptchaFieldDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class CaptchaFieldDefinition
extends FieldDefinition

A `FieldDefinition` for `CaptchaField`s.

Version:
  $Id: CaptchaFieldDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  www.captcha.net

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`CaptchaFieldDefinition(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`

Method Summary
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`int` | `getLength()`
`void` | `initializeFrom(WidgetDefinition definition)` initialize this definition with the other, sort of like a copy constructor
`void` | `setLength(int length)`

Methods inherited from class org.apache.cocoon.forms.formmodel.FieldDefinition
`getSuggestionList, getWhitespaceTrim, isRequired, setRequired, setSuggestionList, setWhitespaceTrim`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractDatatypeWidgetDefinition
`addValueChangedListener, buildSelectionList, buildSelectionListFromModel, checkCompleteness, fireValueChangedEvent, getDatatype, getInitialValue, getSelectionList, getValueChangedListener, hasValueChangedListeners, setDatatype, setProcessInfoProvider, setSelectionList, setSourceResolver, setXmlizer`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaptchaFieldDefinition

    public CaptchaFieldDefinition(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

Method Detail

### initializeFrom

    public void initializeFrom(WidgetDefinition definition)
                        throws Exception

  initialize this definition with the other, sort of like a copy constructor

  Specified by:
    `initializeFrom` in interface `WidgetDefinition`
  Overrides:
    `initializeFrom` in class `FieldDefinition`
  Throws:
    `Exception`

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

  Specified by:
    `createInstance` in interface `WidgetDefinition`
  Overrides:
    `createInstance` in class `FieldDefinition`

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.